# xmlpp::KeepBlanks Class Reference

This class set KeepBlanksDefault and IndentTreeOutput of libxmlpp and restore their initial value in its destructor. More...

`#include <libxml++/keepblanks.h>`

List of all members.

## Public Member Functions

| KeepBlanks (bool value)
| ~KeepBlanks ()

## Static Public Attributes

static const bool | Default = true

## Detailed Description

This class set KeepBlanksDefault and IndentTreeOutput of libxmlpp and restore their initial value in its destructor.

As a consequence the wanted setting is kept during instance lifetime.

## Constructor & Destructor Documentation

xmlpp::KeepBlanks::KeepBlanks | ( | bool | value ) |

xmlpp::KeepBlanks::~KeepBlanks | ( | ) |

## Member Data Documentation

const bool xmlpp::KeepBlanks::Default = true`[static]`

The documentation for this class was generated from the following file:

- keepblanks.h